Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:2.18.9 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24575

Description

I've made a field in a layer without NULL and connected it by relation to a fixed list of values from another layer by using Edit widget:Value

Relation. Then I checked "Use completer" option in that widet to use an edit line in this field(you can see it in the picture attached).

When I make a new object in that layer and complete a value by editing it, I always get invalid field error just like I would still have null in

that field. I can't put any objects in that layer.

When I uncheck "Use completer" in edit widget, than I have to use a combobox in that field and this way gives no error.

So using field properties: without NULL, Edit widget:Value Relation with Use completer checked - gives error when creating any object in

that layer.

Associated revisions

Revision 51ec70ab - 2017-12-05 01:41 PM - Frank Dekervel 

Fix missing signal/slot connection resulting in non-woring autocompleter for value relation fields (fixes #16676).

This oneliner introduces the missing signal/slot connection, and fixes the bug.

Revision 920d760e - 2017-12-09 11:40 AM - Frank Dekervel

Fix missing signal/slot connection resulting in non-woring autocompleter for value relation fields (fixes #16676). (#5821)

Backported from d7b08c78faeda9b35882f89913990a253d3b1ab8

History

#1 - 2017-11-27 02:23 PM - Frank Dekervel

Pull request https://github.com/qgis/QGIS/pull/5740 fixes this bug.

#2 - 2017-11-27 10:47 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#3 - 2017-12-05 01:41 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/5740


Applied in changeset commit:qgis|51ec70abc08b9e524baba3a9630400681a8ba199.

#4 - 2017-12-05 06:39 PM - Giovanni Manghi

- Resolution set to fixed/implemented
